#
# spec file for package python-distarray
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-distarray
Version:        0.5.0
Release:        2.4
Summary:        Distributed Memory Arrays for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/enthought/distarray
Source:         https://pypi.python.org/packages/source/d/distarray/distarray-%{version}.tar.gz
BuildRequires:  IPython
BuildRequires:  python-devel
BuildRequires:  python-h5py
BuildRequires:  python-matplotlib
BuildRequires:  python-mpi4py
BuildRequires:  python-nose
BuildRequires:  python-numpy
BuildRequires:  rsh
Requires:       IPython
Requires:       python-mpi4py
Requires:       python-numpy
Recommends:     python-h5py
Recommends:     python-matplotlib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
DistArray provides general multidimensional NumPy-like distributed
arrays to Python. It intends to bring the strengths of NumPy to
data-parallel high-performance computing. DistArray has a similar
API to NumPy.

DistArray is ready for real-world testing and deployment; however,
the project is still evolving rapidly, and we appreciate continued
input from the scientific-Python community.

DistArray is for users who
- know and love Python and NumPy,
- want to scale NumPy to larger distributed datasets,
- want to interactively play with distributed data but also
- want to run batch-oriented distributed programs;
- want an easier way to drive and coordinate existing MPI-based
  codes,
- have a lot of data that may already be distributed,
- want a global view ("think globally") with local control
  ("act locally"),
- need to tap into existing parallel libraries like Trilinos,
  PETSc, or Elemental,
- want the interactivity of IPython and the performance of MPI.

DistArray is designed to work with other packages that implement
the Distributed Array Protocol.

%prep
%setup -q -n distarray-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.rst README.rst examples/
%{_bindir}/dacluster
%{python_sitelib}/*

%changelog
* Thu Apr  9 2015 toddrme2178@gmail.com
- Fix build
* Wed Sep  3 2014 toddrme2178@gmail.com
- Initial version
